import { Tabs } from "antd";
import React, { useEffect } from "react";
import { useTranslation } from "react-i18next";
import ShopEmployeesContainer from "../../components/shop-employees/shop-employees.container";

export default function ShopPage() {
  const { t } = useTranslation();
  useEffect(() => {
    document.title = t("titles.shop");
  }, [t]);

  return (
    <Tabs>
      <Tabs.TabPane tab="Shop Info" key="info">
        Shop INfo
      </Tabs.TabPane>
      <Tabs.TabPane tab="Employees" key="employees">
        <ShopEmployeesContainer />
      </Tabs.TabPane>
      <Tabs.TabPane tab="Licensing" key="licensing">
        Licensing
      </Tabs.TabPane>
    </Tabs>
  );
}
